### Method

# Ide ConfigManager get_ready

#### Declaration

    gboolean
    ide_config_manager_get_ready (
      IdeConfigManager* self
    )

#### Description

This returns `TRUE` if the current configuration is ready for usage.

This is equivalent to checking the ready property of the current configuration. It allows consumers to not need to track changes to the current configuration.

Available since: | 3.32

Gets property | `Ide.ConfigManager:ready`

#### Return value

Returns: | `gboolean`
| `TRUE` if the current configuration is ready for usage; otherwise `FALSE`.